<?php

/*
'#################################################################
'# 程序名称：中环CMSV2.0
'# 授权方式：免费软件
'# 作者：善
'# 联系QQ:9118847
'# 作者网站:http://www.ps173.com
'# 发布时间：2015-6-10
'# 声明：欢迎广大的PHP爱好者一起共同探讨
'# 声明：各种用途均可免费使用、自由传播，但必须保留程序代码中的版权信息。
'#################################################################
 */

//后台基本设置模型类
class SetModel extends Model{
		//成员初始化
	public function __construct(){
		parent::__construct();
		$this->tabname = TAB_FIX."set";
		$this->tabkey = array("id", "webname", "width", "height", "notice", "qq", "email", "word", "commt", "size", "keyword", "description", "statcode", "copyright");
	}

	public function getword($str){
		$data = $this->field("word")->one();
		if(!empty($data) && is_array($data)){
			$row = (explode('|', $data['word']));
			$new = str_replace($row, "*", $str);
		}else{
			return $str;
		}

		return $new;
	}

	public function list_one($data){
		if(isset($data) && !empty($data)){
			$num = $this->field($data)->one();
		}

		return $num;

	}
		//修改设置
	public function update($post){
		return $this->mod($post);
	}
		//输出基本设置的信息
	public function find(){
		return $this->one();
	}



}

?>